## com.gargoylesoftware.htmlunit
Class PluginConfiguration

    java.lang.Object
      com.gargoylesoftware.htmlunit.PluginConfiguration

All Implemented Interfaces:
  java.io.Serializable

    public class PluginConfiguration

extends java.lang.Object
implements java.io.Serializable

Contains information about a plugin as available in JavaScript via `document.navigator.plugins`, as well as the associated mime types (for Firefox browser simulation).

Version:
  $Revision: 4002 $
Author:
  Marc Guillemot
See Also:
  XUL Planet Documentation, Serialized Form

Nested Class Summary
`static class` `PluginConfiguration.MimeType` Holds information about a single mime type associated with a plugin.

Constructor Summary
`PluginConfiguration(java.lang.String name, java.lang.String description, java.lang.String filename)` Creates a new instance.

Method Summary
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getDescription()` Gets the plugin's description.
`java.lang.String` `getFilename()` Gets the plugin's file name.
`java.util.Set<PluginConfiguration.MimeType>` `getMimeTypes()` Gets the associated mime types.
`java.lang.String` `getName()` Gets the plugin's name.
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginConfiguration

    public PluginConfiguration(java.lang.String name,
                               java.lang.String description,
                               java.lang.String filename)

  Creates a new instance.

  Parameters:
    `name` - the plugin name
    `description` - the plugin description
    `filename` - the plugin filename

Method Detail

### getDescription

    public java.lang.String getDescription()

  Gets the plugin's description.

  Returns:
    the description

### getFilename

    public java.lang.String getFilename()

  Gets the plugin's file name.

  Returns:
    the file name

### getName

    public java.lang.String getName()

  Gets the plugin's name.

  Returns:
    the name

### getMimeTypes

    public java.util.Set<PluginConfiguration.MimeType> getMimeTypes()

  Gets the associated mime types.

  Returns:
    a set of `PluginConfiguration.MimeType`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.